#
# spec file for package busybox-static (Version 1.12.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           busybox-static
Url:            http://www.busybox.net/
Version:        1.12.3
Release:        2
Summary:        The Swiss Army Knife of Embedded Linux
License:        GPL v2 or later
Group:          System/Base
AutoReqProv:    on
Source:         http://busybox.net/downloads/busybox-%{version}.tar.bz2
Source2:        busybox.SuSE.config
Source3:        mkinitrd-setup.sh
Source4:        mkinitrd-boot.sh
Patch1:         busybox.uClibc-build-fix.patch
Patch100:       busybox.install.patch
Patch101:       busybox.libunarchive-array.patch
Patch102:       busybox.dmesg-size.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  uClibc-devel
ExcludeArch:    s390 s390x ppc64

%description
BusyBox combines tiny versions of many common UNIX utilities into a
small single executable. It provides minimalist replacements for most
of the utilities usually found in fileutils, shellutils, findutils,
textutils, grep, gzip, tar, and more. BusyBox provides a fairly
complete POSIX environment for any small or embedded system. The
utilities in BusyBox generally have fewer options than their
full-featured GNU cousins. The options that are included provide the
expected functionality and behave very much like their GNU
counterparts.



Authors:
--------
    Erik B. Andersen <andersee@debian.org>

%prep
%setup -q -n busybox-%{version}
%patch1 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1

%build
cp -avL %{S:2} .config
find -name CVS | xargs rm -rf
find -name .svn | xargs rm -rf
export VERBOSE=-v
export BUILD_VERBOSE=2
make -e oldconfig
make -e CC=gcc-uClibc %{?jobs:-j%jobs}

%install
find -name ".cvsignore" -exec rm {} \;
install -d $RPM_BUILD_ROOT/usr/bin
install busybox $RPM_BUILD_ROOT/usr/bin/busybox-static

%files
%defattr(-,root,root)
/usr/bin/busybox-static

%changelog
* Thu Dec 18 2008 sassmann@suse.de
- update to 1.12.3 bugfix release
  * has fixes for option parsing and line editing
* Tue Nov 04 2008 sassmann@suse.de
- initial release of busybox-static (version 1.12.1)
